Subject: Re: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Alvaro Ramirez <[email-masked]>
Date: Tue, 22 Jul 2025 15:05:54 +0100

> On 22 Jul 2025, at 14:02, Eli Zaretskii <[email-masked]> wrote:
> 
> Maybe.  I'm not sure I understand what are the conclusions from your
> experience, which eventually needed to use tcutil.  Are we sure this
> is just a fluke and not a more fundamental problem?

I can deterministically apply/remove the patch and validate the fix is present/absent at runtime, without touching macOS permissions.

tcutil seems to be needed if one ever explicitly rejected Emacs permission to access the microphone.